## org.eclipse.ocl.cst
Interface InitOrDerValueCS

All Superinterfaces:
  CSTNode, EObject, Notifier

All Known Subinterfaces:
  DerValueCS, InitValueCS

All Known Implementing Classes:
  DerValueCSImpl, InitOrDerValueCSImpl, InitValueCSImpl

    public interface InitOrDerValueCS

extends CSTNode

A representation of the model object 'Init Or Der Value CS'.

The following features are supported:

- `Init Or Der Value CS`
- `Expression CS`

See Also:
  `CSTPackage.getInitOrDerValueCS()`

Method Summary
`OCLExpressionCS` `getExpressionCS()` Returns the value of the 'Expression CS' containment reference
`InitOrDerValueCS` `getInitOrDerValueCS()` Returns the value of the 'Init Or Der Value CS' containment reference
`void` `setExpressionCS(OCLExpressionCS value)` Sets the value of the '`Expression CS`' containment reference
`void` `setInitOrDerValueCS(InitOrDerValueCS value)` Sets the value of the '`Init Or Der Value CS`' containment reference

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getAst, getEndOffset, getEndToken, getStartOffset, getStartToken, setAst, setEndOffset, setEndToken, setStartOffset, setStartToken`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getInitOrDerValueCS

    InitOrDerValueCS getInitOrDerValueCS()

  Returns the value of the 'Init Or Der Value CS' containment reference.

  If the meaning of the 'Init Or Der Value CS' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Init Or Der Value CS' containment reference.
  See Also:
    `setInitOrDerValueCS(InitOrDerValueCS)`, `CSTPackage.getInitOrDerValueCS_InitOrDerValueCS()`

### setInitOrDerValueCS

    void setInitOrDerValueCS(InitOrDerValueCS value)

  Sets the value of the '`Init Or Der Value CS`' containment reference.

  Parameters:
    `value` - the new value of the 'Init Or Der Value CS' containment reference.
  See Also:
    `getInitOrDerValueCS()`

### getExpressionCS

    OCLExpressionCS getExpressionCS()

  Returns the value of the 'Expression CS' containment reference.

  If the meaning of the 'Expression CS' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Expression CS' containment reference.
  See Also:
    `setExpressionCS(OCLExpressionCS)`, `CSTPackage.getInitOrDerValueCS_ExpressionCS()`

### setExpressionCS

    void setExpressionCS(OCLExpressionCS value)

  Sets the value of the '`Expression CS`' containment reference.

  Parameters:
    `value` - the new value of the 'Expression CS' containment reference.
  See Also:
    `getExpressionCS()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.